﻿Public Class MainRibbonForm
  Private _themeColor As ThemeColor = ThemeColor.Orange
  Private _themeLightness As ThemeLightness = ThemeLightness.LightGray
  Private _childForm As ChildRibbonForm = Nothing

  Public Sub New()
    MyBase.New()
    InitializeComponent()

    RibbonStyle.UpdateInstance(_themeColor, _themeLightness)
  End Sub

  Private Sub MainRibbonForm_Load(sender As Object, e As EventArgs) Handles Me.Load
    _childForm = New ChildRibbonForm()
    _childForm.MdiParent = Me
        _childForm.Show()

        Controls.OfType(Of MdiClient).FirstOrDefault.BackColor = Color.White

    End Sub

  Private Sub cmdRed_Click(sender As Object, e As EventArgs) Handles cmdRed.Click
    _themeColor = ThemeColor.Red
    RibbonStyle.UpdateInstance(_themeColor, _themeLightness)
    _childForm.setBorder(_themeColor, _themeLightness)
  End Sub

  Private Sub setGreen_Click(sender As Object, e As EventArgs) Handles setGreen.Click
    _themeColor = ThemeColor.Green
    RibbonStyle.UpdateInstance(_themeColor, _themeLightness)
    _childForm.setBorder(_themeColor, _themeLightness)
  End Sub
End Class
